# OpenML dataset: Source-based-Fake-News-Classification

https://www.openml.org/d/43394

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

Context
Social media is a vast pool of content, and among all the content available for users to access, news is an element that is accessed most frequently. These news can be posted by politicians, news channels, newspaper websites, or even common civilians. These posts have to be checked for their authenticity, since spreading misinformation has been a real concern in todays times, and many firms are taking steps to make the common people aware of the consequences of spread misinformation. The measure of authenticity of the news posted online cannot be definitively measured, since the manual classification of news is tedious and time-consuming, and is also subject to bias.
Published paper: http://www.ijirset.com/upload/2020/june/115_4_Source.PDF
Content
Data preprocessing has been done on the dataset Getting Real about Fake News and skew has been eliminated.
Inspiration
In an era where fake WhatsApp forwards and Tweets are capable of influencing naive minds, tools and knowledge have to be put to practical use in not only mitigating the spread of misinformation but also to inform people about the type of news they consume. 
Development of practical applications for users to gain insight from the articles they consume, fact-checking websites, built-in plugins and article parsers can
further be refined, made easier to access, and more importantly, should create more awareness.
Acknowledgements
Getting Real about Fake News seemed the most promising for preprocessing, feature extraction, and model classification. 
The reason is due to the fact that all the other datasets lacked the sources from where the article/statement text was produced and published from. Citing the sources for article text is crucial to check the trustworthiness of the news and further helps in labelling the data as fake or untrustworthy.
Thanks to the datasets comprehensiveness in terms of citing the source information of the text along with author names, date of publication and labels.

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/43394) of an [OpenML dataset](https://www.openml.org/d/43394). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/43394/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/43394/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/43394/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

